package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Fiber;
import com.lightinit.hsdatashow.entity.FiberExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface FiberMapper {
    long countByExample(FiberExample example);

    int deleteByExample(FiberExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Fiber record);

    int insertSelective(Fiber record);

    List<Fiber> selectByExample(FiberExample example);

    Fiber selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Fiber record, @Param("example") FiberExample example);

    int updateByExample(@Param("record") Fiber record, @Param("example") FiberExample example);

    int updateByPrimaryKeySelective(Fiber record);

    int updateByPrimaryKey(Fiber record);

    List<ChartModel> getFiber();
}